/*
 * File: errorlog.c
 * Author: Jim MacNair
 * Version: 1.0
 */

#include <stdio.h>
#include "errorlog.h"

#define ERR_FILE_NAME "simerror.msg"

void CICS_3270_Write_Error_Log(char *msg)

{
   FILE    *ERR_FILE;

   ERR_FILE = fopen(ERR_FILE_NAME,"a");    /* open for append */
   fprintf(ERR_FILE,"%s",msg);
   fclose(ERR_FILE);
}

void CICS_3270_Write_Log_Num(int line, char *msg)

{
   char   errline[MAX_ERROR_LINE_LEN + 1];

   sprintf(errline, "%4d %.250s", line, msg);

   /* write the error message */
   CICS_3270_Write_Error_Log(errline);
}

/*-------------*/
/* End Of File */
/*-------------*/
